手机版
你好,游客 登录 注册
背景:
阅读新闻

CentOS 7下Python3环境和Visual Studio Code的安装配置

[日期:2019-05-18] 来源:Linux社区  作者:羊草 [字体: ]

CentOS7 默认的Python版本是2.7,目前主流的python版本都是3.6或者3.7。centos的yum包管理器是基于python2编写的,所以不能直接删除,同时也要配置python环境版本为python3版本,而且需要两个版本共存。当时使用Ubuntu16或者18是更好的选择,但是unbuntu容易出现更新崩溃的情况,不如centos稳定。

一、配置python3环境及pip

    首先确认centos7版本

hostnamectl
cat /etc/RedHat-release

然后确认python版本和执行路径

which python
python -V

可见执行文件在/usr/bin/目录下,切换到该目录执行

cd /usr/bin/ && ll python*

python指向的是python2.7

因为我们要安装python3版本,所以python要指向python3才行,目前还没有安装python3,先备份,备份之前先安装相关包,用于下载编译python3

yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gcc make

不能忽略相关包,我之前就没有安装readline-devel导致执行python模式无法使用键盘的上下左右键;

然后备份

mv python python.bak

然后,去官网下载编译包,本次安装的是python3.6,没有采用最新的python3.7

wget  
tar -xvJf  Python-3.6.2.tar.xz
cd Python-3.6.2

然后执行编译安装

./configure prefix=/usr/local/python3
make && make install

安装完毕,/usr/local/目录下就会有python3了

因此我们可以添加软链到执行目录下/usr/bin

ln -s /usr/local/python3/bin/python3 /usr/bin/python

可以看到软链创建完成

测试安装成功了没,执行

python -V  看看输出的是不是python3的版本

执行python2 -V  看到的就是python2的版本

因为执行yum需要python2版本,所以我们还要修改yum的配置,执行:

vim /usr/bin/yum

把#! /usr/bin/python修改为#! /usr/bin/python2

同理 vim /usr/libexec/urlgrabber-ext-down 文件里面的#! /usr/bin/python 也要修改为#! /usr/bin/python2

这样python3版本就安装完成;同时python2也存在

python -V   版本3 
python2 -V 版本2

此时我们还需要安装pip,来下载管理第三方模块和包

wget --no-check-certificate  https://pypi.python.org/packages/source/s/setuptools/setuptools-19.6.tar.gz#md5=c607dd118eae682c44ed146367a17e26
tar -zxvf setuptools-19.6.tar.gz
cd setuptools-19.6
python setup.py build
python setup.py install

设置软链接

ln -s /usr/local/python3/bin/pip3 /usr/bin/pip3

输入pip -V查看pip版本,安装成功则正确显示版本

同时配置pip国内源,提高下载速度

mkdir ~/.pip && touch ~/.pip/pip.conf
vim ~/.pip/pip.conf

内容如下

[global]
index-url = https://pypi.tuna.tsinghua.edu.cn/simple
[install]
trusted-host=mirrors.aliyun.com

二、安装visual studio code for linux

不使用图像化桌面,不使用ide在linux上编写python,就是自虐!

visual studio code是微软出品的ide,支持python,支持很多语言,就是不支持Java

centos是rpm包方式安装,安装文档参考官方手册

https://code.visualstudio.com/docs/setup/linux#_rhel-Fedora-and-centos-based-distributions

首先配置yum仓库,只有64位版本

sudo rpm --import  
sudo sh -c 'echo -e "[code]\nname=Visual Studio Code\nbaseurl=https://packages.microsoft.com/yumrepos/vscode\nenabled=1\ngpgcheck=1\ngpgkey=https://packages.microsoft.com/keys/microsoft.asc" > /etc/yum.repos.d/vscode.repo'

然后使用yum安装

yum check-update
sudo yum install code

安装完毕后,直接在命令行输入code使用

可以确认下是否安装和安装路径

可见程序是安装在/usr/share/code众

但是这个IDE不支持root身份使用,必须切换到一个带有用户目录的普通用户身份执行

切换用户身份,执行,很有可能会报错,提示NSS组件版本低于最低要求

此时,需要跟新组件

sudo yum install nss

同时会提示没有libdus-1.so.3,此时需要下载dbus-libs包

yum install dbus-libs

此时在应用程序-编程 中可以发现vs code已经安装,点击执行

此时,是英文版的,我们需要安装中文插件,如下所示

点击安装,然后就是中文界面了

然后我们再安装python扩展和python支持

然后再新建个文件,.py结尾的文件,测试

按F5执行

对于需要支持pep8格式排版支持,vs code执行右键点击格式化文档,同时会自动下载插件支持

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-05/158734.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款